import { APIGatewayProxyResult, Context as AWSLambdaContext } from "aws-lambda";
import { GraphQLSchema } from "graphql";
import { APIGatewayWebSocketEvent, IConnectionManager, ISubscriptionManager } from "./types";
export declare type APIGatewayV2Handler = (event: APIGatewayWebSocketEvent, context: AWSLambdaContext) => Promise<APIGatewayProxyResult | void>;
declare type Options = {
    connectionManager: IConnectionManager;
    schema: GraphQLSchema;
    subscriptionManager: ISubscriptionManager;
    endpoint?: string;
};
declare function createWsHandler({ connectionManager, schema, subscriptionManager, endpoint }: Options): APIGatewayV2Handler;
export { createWsHandler };
export default createWsHandler;
